#include <stdio.h>
#include <stdlib.h>

int main() {
    int n;
    printf("Unesi broj tacaka: ");
    scanf("%d", &n);
    int x[100], y[100];
    for (int i = 0; i < n; i++) {
        printf("Unesi koordinate tacke %d: ", i + 1);
        scanf("%d %d", &x[i], &y[i]);
    }
    int min =INT_MAX;

    for (int i = 0; i < n; i++) {
        int px[100], py[100], br = 0;
        for (int j = 0; j < n; j++) {
            if (j != i) {
                px[br] = x[j];
                py[br] = y[j];
                br++;
            }
        }
        int omotac[100], bro = 0;
        int levo = 0;
        for (int i = 1; i < br; i++) {
            if (px[i] < px[levo]) levo = i;
        }

        int p = levo, q;
        do {
            omotac[bro++] = p;
            q = (p + 1) % br;
            for (int i = 0; i < br; i++) {
                int orijentacija = (py[q] - py[p]) * (px[i] - px[q]) - (px[q] - px[p]) * (py[i] - py[q]);
                if (orijentacija < 0) q = i;
            }
            p = q;
        } while (p != levo);
        int povrsina = 0;
        for (int i = 0; i < bro; i++) {
            int j = (i + 1) % bro;
            povrsina += px[omotac[i]] * py[omotac[j]] - py[omotac[i]] * px[omotac[j]];
        }
        povrsina = abs(povrsina) / 2;

        if (povrsina < min) {
            min = povrsina;
        }
    }
    printf("Minimalna povrsina skoro-omotaca je: %d\n", min);
    return 0;
}